Page MenuHomePhabricator

Special:PageAssessments fails to load on English Wikipedia
Closed, ResolvedPublic

Description

Special:PageAssessments seems to just timeout when loading on English Wikipedia, leaving a blank page. It loads fine on English Wikivoyage and elsewhere. The problem is probably that the default query is to load all assessments sorted by project (which is too expensive on English Wikipedia).

Possible solutions include not having any sorting in the default query or making the page not run any query by default, which might require overriding one or more of the parent methods from the QueryPage class.

Details

Related Gerrit Patches:
mediawiki/extensions/PageAssessments : masterFixing special page time-out
mediawiki/extensions/PageAssessments : masterSet default to no sorting for Special:PageAssessments

Event Timeline

kaldari created this task.Jan 24 2017, 10:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 24 2017, 10:16 PM
kaldari updated the task description. (Show Details)Jan 24 2017, 10:18 PM

Change 334175 had a related patch set uploaded (by Kaldari):
Set default to no sorting for Special:PageAssessments

https://gerrit.wikimedia.org/r/334175

Change 334175 merged by jenkins-bot:
Set default to no sorting for Special:PageAssessments

https://gerrit.wikimedia.org/r/334175

kaldari closed this task as Resolved.Jan 25 2017, 11:44 PM
kaldari claimed this task.
kaldari moved this task from To be estimated/discussed to Archive on the Community-Tech board.
Niharika reopened this task as Open.Feb 4 2017, 5:05 AM
Niharika added a subscriber: Niharika.

Happening again.

Change 335976 had a related patch set uploaded (by Kaldari):
Fixing special page time-out

https://gerrit.wikimedia.org/r/335976

JustBerry added a subscriber: TTO.Feb 4 2017, 3:21 PM

Added @TTO per brief involvement in task T157179 (later closed as duplicate).

Change 335976 merged by jenkins-bot:
Fixing special page time-out

https://gerrit.wikimedia.org/r/335976

kaldari closed this task as Resolved.Feb 7 2017, 5:00 AM

This time with feeling!